Updates the article category with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_category
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

parent_id

Parent Article Category (Parent / Child)

globally unique identifier
parent_code

Embedded entity "article_category" for parent using ERP PK when adding/updating article_category

string
parent_article_category

Embedded entity "article_category" for parent when adding/updating article_category

article_category
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the article category

string

Required

Max length: 50

modified_dateutc

Readonly system field managed by the database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "87876698-c3b2-4451-9393-5e1cb3f06f14",
  "parent_id": "4e041ec1-b267-49b2-89c6-a2970c585295",
  "parent_code": "sample string 3",
  "code": "sample string 4",
  "name": "sample string 5",
  "modified_dateutc": "2026-09-05T08:47:43.377096+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.